#ifndef __VDRICQ_NUMBERLIST_H
#define __VDRICQ_NUMBERLIST_H

#include <list>
#include <string>
#include <libicq2000/Contact.h>

using namespace std;

class cNumberList : public list<ICQ2000::ContactRef>
{
public: 
  cNumberList(string ListFile);
  ~cNumberList(void);

  void saveList(void);
  bool loadList(void);
  bool inList(unsigned int iUIN);
  void removeContact(unsigned int iUIN);
  iterator find(unsigned int iUIN);
  ICQ2000::ContactRef getContact(unsigned int iUIN);

private:
  string m_ListFile;
};

#endif // __VDRICQ_NUMBERLIST_H
